# %s/^M\n/\r/g
# %s/'/*/g

ef <- read.table("quick_english-french.txt", sep="\t", fill=T, colClasses="character", comment.char="")
er <- read.table("quick_english-russian.txt", sep="\t", fill=T, colClasses="character", comment.char="")
es <- read.table("quick_english-spanish.txt", sep="\t", fill=T, colClasses="character", comment.char="")
eg <- read.table("quick_frank-eng-deu.txt", sep="\t", fill=T, colClasses="character", comment.char="")

# ===

efr <- merge(ef, er, by="V1")

fr <- efr[,2:3]
fr <- fr[order(fr[,1]),]
fr <- fr[!duplicated(fr[,1]),]
fr.1 <- do.call(rbind, strsplit(fr[,1], ", ", fixed = T))
fr <- data.frame(fr.1[,1], fr[,2])
write.table(file="fr.txt", fr, sep="\t", row.names=F, quote=F, col.names=F)

rf <- efr[,c(3,2)]
rf <- rf[order(rf[,1]),]
rf <- rf[!duplicated(rf[,1]),]
rf.1 <- do.call(rbind, strsplit(rf[,1], ", ", fixed = T))
rf <- data.frame(rf.1[,1], rf[,2])
write.table(file="rf.txt", rf, sep="\t", row.names=F, quote=F, col.names=F)

# %s/*/'/g
# ===

esr <- merge(es, er, by="V1")

sr <- esr[,2:3]
sr <- sr[order(sr[,1]),]
sr <- sr[!duplicated(sr[,1]),]
sr.1 <- do.call(rbind, strsplit(sr[,1], ", ", fixed = T))
sr <- data.frame(sr.1[,1], sr[,2])
write.table(file="sr.txt", sr, sep="\t", row.names=F, quote=F, col.names=F)

rs <- esr[,c(3,2)]
rs <- rs[order(rs[,1]),]
rs <- rs[!duplicated(rs[,1]),]
rs.1 <- do.call(rbind, strsplit(rs[,1], ", ", fixed = T))
rs <- data.frame(rs.1[,1], rs[,2])
write.table(file="rs.txt", rs, sep="\t", row.names=F, quote=F, col.names=F)

# %s/*/'/g
# ===

egr <- merge(eg, er, by="V1")

gr <- egr[,2:3]
gr <- gr[order(gr[,1]),]
gr <- gr[!duplicated(gr[,1]),]
gr.1 <- do.call(rbind, strsplit(gr[,1], ", ", fixed = T))
gr <- data.frame(gr.1[,1], gr[,2])
write.table(file="gr.txt", gr, sep="\t", row.names=F, quote=F, col.names=F)

rg <- egr[,c(3,2)]
rg <- rg[order(rg[,1]),]
rg <- rg[!duplicated(rg[,1]),]
rg.1 <- do.call(rbind, strsplit(rg[,1], ", ", fixed = T))
rg <- data.frame(rg.1[,1], rg[,2])
write.table(file="rg.txt", rg, sep="\t", row.names=F, quote=F, col.names=F)

# %s/*/'/g
